local GT = LibStub("AceAddon-3.0"):GetAddon("GatheringTracker")

local expansions = {
    ["Classic"] = 1,
    ["BC"] = 2,
    ["Wrath"] = 3,
    ["Cata"] = 4,
    ["MoP"] = 5,
    ["WoD"] = 6,
    ["Legion"] = 7,
    ["BFA"] = 8,
    ["SL"] = 9,
    ["DF"] = 10,

    ["Other"] = 11,
}
GT.expansions = expansions

local categories = {
    ["Herb"] = 1,
    ["Ore"] = 2,
    ["Cloth"] = 3,
    ["Leather"] = 4,
    ["Meat"] = 5,
    ["Fish"] = 6,
    ["Elemental"] = 7,
    ["Gem"] = 8,
    ["Enchanting"] = 9,
    ["Pigment"] = 10,
    ["Legendary"] = 11,
    ["Synthesis"] = 12,

    ["Other"] = 13,
}
GT.categories = categories

local ItemData = {
    Classic = {
        Herb = {
            {id = 2447, name = "Peacebloom", order = 1},
            {id = 765, name = "Silverleaf", order = 2},
            {id = 22710, name = "Bloodthistle", order = 3},
            {id = 2449, name = "Earthroot", order = 4},
            {id = 785, name = "Mageroyal", order = 5},
            {id = 2450, name = "Briarthorn", order = 6},
            {id = 2452, name = "Swiftthistle", order = 7},
            {id = 3820, name = "Stranglekelp", order = 8},
            {id = 2453, name = "Bruiseweed", order = 9},
            {id = 3369, name = "Grave Moss", order = 10},
            {id = 3355, name = "Wild Steelbloom", order = 11},
            {id = 3356, name = "Kingsblood", order = 12},
            {id = 3357, name = "Liferoot", order = 13},
            {id = 3818, name = "Fadeleaf", order = 14},
            {id = 3821, name = "Goldthorn", order = 15},
            {id = 3358, name = "Khadgar's Whisker", order = 16},
            {id = 3819, name = "Dragon's Teeth", order = 17},
            {id = 4625, name = "Firebloom", order = 18},
            {id = 8831, name = "Purple Lotus", order = 19},
            {id = 8153, name = "Wildvine", order = 20},
            {id = 8838, name = "Sungrass", order = 21},
            {id = 8839, name = "Blindweed", order = 22},
            {id = 8845, name = "Ghost Mushroom", order = 23},
            {id = 8846, name = "Gromsblood", order = 24},
            {id = 13464, name = "Golden Sansam", order = 25},
            {id = 13463, name = "Dreamfoil", order = 26},
            {id = 13465, name = "Mountain Silversage", order = 27},
            {id = 13466, name = "Sorrowmoss", order = 28},
            {id = 13467, name = "Icecap", order = 29},
            {id = 13468, name = "Black Lotus", order = 30},
        },
        Ore = {
            {id = 2770, name = "Copper Ore", order = 1},
            {id = 2771, name = "Tin Ore", order = 2},
            {id = 2775, name = "Silver Ore", order = 3},
            {id = 2772, name = "Iron Ore", order = 4},
            {id = 2776, name = "Gold Ore", order = 5},
            {id = 3858, name = "Mithril Ore", order = 6},
            {id = 7911, name = "Truesilver Ore", order = 7},
            {id = 10620, name = "Thorium Ore", order = 8},
            {id = 11370, name = "Dark Iron Ore", order = 9},
            {id = -1, name = "Stone", order = 10},
            {id = 2835, name = "Rough Stone", order = 11},
            {id = 2836, name = "Coarse Stone", order = 12},
            {id = 2838, name = "Heavy Stone", order = 13},
            {id = 7912, name = "Solid Stone", order = 14},
            {id = 12365, name = "Dense Stone", order = 15},
            {id = -1, name = "Other", order = 16},
            {id = 22202, name = "Small Obsidian Shard", order = 17},
            {id = 22203, name = "Large Obsidian Shard", order = 18},
        },
        Cloth = {
            {id = 2589, name = "Linen Cloth", order = 1},
            {id = 2592, name = "Wool Cloth", order = 2},
            {id = 4306, name = "Silk Cloth", order = 3},
            {id = 4338, name = "Mageweave Cloth", order = 4},
            {id = 14047, name = "Runecloth", order = 5},
            {id = 14256, name = "Felcloth", order = 6},
            {id = -1, name = "Silk", order = 7},
            {id = 3182, name = "Spider's Silk", order = 8},
            {id = 4337, name = "Thick Spider's Silk", order = 9},
            {id = 10285, name = "Shadow Silk", order = 10},
            {id = 14227, name = "Ironweb Spider Silk", order = 11},                    
        },
        Leather = {
            {id = 2318, name = "Light Leather", order = 1},
            {id = 2319, name = "Medium Leather", order = 2},
            {id = 4234, name = "Heavy Leather", order = 3},
            {id = 4304, name = "Thick Leather", order = 4},
            {id = 8170, name = "Rugged Leather", order = 5},
            {id = 783, name = "Light Hide", order = 6},
            {id = 4232, name = "Medium Hide", order = 7},
            {id = 4235, name = "Heavy Hide", order = 8},
            {id = 8169, name = "Thick Hide", order = 9},
            {id = 8171, name = "Rugged Hide", order = 10},
            {id = -1, name = "Scales", order = 11},
            {id = 8165, name = "Worn Dragonscale", order = 12},
            {id = 15416, name = "Black Dragonscale", order = 13},
            {id = 8154, name = "Scorpid Scale", order = 14},
            {id = 15410, name = "Scale of Onyxia", order = 15},            
        },
        Meat = {
            {id = 3173, name = "Bear Meat", order = 1},
            {id = 3730, name = "Big Bear Meat", order = 2},
            {id = 2677, name = "Boar Ribs", order = 3},
            {id = 769, name = "Chunk of Boar Meat", order = 4},
            {id = 5503, name = "Clam Meat", order = 5},
            {id = 2673, name = "Coyote Meat", order = 6},
            {id = 2674, name = "Crawler Meat", order = 7},
            {id = 12207, name = "Giant Egg", order = 8},
            {id = 1015, name = "Lean Wolf Flank", order = 9},
            {id = 3731, name = "Lion Meat", order = 10},
            {id = 12037, name = "Mystery Meat", order = 11},
            {id = 3685, name = "Raptor Egg", order = 12},
            {id = 12184, name = "Raptor Flesh", order = 13},
            {id = 12203, name = "Red Wolf Meat", order = 14},
            {id = 20424, name = "Sandworm Meat", order = 15},
            {id = 6889, name = "Small Egg", order = 16},
            {id = 2672, name = "Stringy Wolf Meat", order = 17},
            {id = 5504, name = "Tangy Clam Meat", order = 18},
            {id = 12208, name = "Tender Wolf Meat", order = 19},
            {id = 12202, name = "Tiger Meat", order = 20},
            {id = 3712, name = "Turtle Meat", order = 21},
            {id = 12205, name = "White Spider Meat", order = 22},
            {id = 7974, name = "Zesty Clam Meat", order = 23},            
        },
        Fish = {
            {id = 6303, name = "Raw Slitherskin Mackerel", order = 1},
            {id = 6291, name = "Raw Brilliant Smallfish", order = 2},
            {id = 6289, name = "Raw Longjaw Mud Snapper", order = 3},
            {id = 6361, name = "Raw Rainbow Fin Albacore", order = 4},
            {id = 6317, name = "Raw Loch Frenzy", order = 5},
            {id = 21071, name = "Raw Sagefish", order = 6},
            {id = 6308, name = "Raw Bristle Whisker Catfish", order = 7},
            {id = 8365, name = "Raw Mithril Head Trout", order = 8},
            {id = 6362, name = "Raw Rockscale Cod", order = 9},
            {id = 21153, name = "Raw Greater Sagefish", order = 10},
            {id = 13759, name = "Raw Nightfin Snapper", order = 11},
            {id = 4603, name = "Raw Spotted Yellowtail", order = 12},
            {id = 13754, name = "Raw Glossy Mightfish", order = 13},
            {id = 13888, name = "Darkclaw Lobster", order = 14},
            {id = 13760, name = "Raw Sunscale Salmon", order = 15},
            {id = 13758, name = "Raw Redgill", order = 16},
            {id = 13756, name = "Raw Summer Bass", order = 17},
            {id = 13889, name = "Raw Whitescale Salmon", order = 18},
            {id = 6522, name = "Deviate Fish", order = 19},
            {id = 124669, name = "Darkmoon Daggermaw", order = 20},
        },
        Elemental = {
            {id = 7081, name = "Breath of Wind", order = 1},
            {id = 7075, name = "Core of Earth", order = 2},
            {id = 7069, name = "Elemental Air", order = 3},
            {id = 7067, name = "Elemental Earth", order = 4},
            {id = 7068, name = "Elemental Fire", order = 5},
            {id = 7070, name = "Elemental Water", order = 6},
            {id = 7082, name = "Essence of Air", order = 7},
            {id = 7076, name = "Essence of Earth", order = 8},
            {id = 7078, name = "Essence of Fire", order = 9},
            {id = 12808, name = "Essence of Undeath", order = 10},
            {id = 7080, name = "Essence of Water", order = 11},
            {id = 7079, name = "Globe of Water", order = 12},
            {id = 7077, name = "Heart of Fire", order = 13},
            {id = 10286, name = "Heart of the Wild", order = 14},
            {id = 7972, name = "Ichor of Undeath", order = 15},
            {id = 12803, name = "Living Essence", order = 16},            
        },
        Gem = {
            {id = 774, name = "Malachite", order = 1},
            {id = 818, name = "Tigerseye", order = 2},
            {id = 1206, name = "Moss Agate", order = 3},
            {id = 1210, name = "Shadowgem", order = 4},
            {id = 1529, name = "Jade", order = 5},
            {id = 1705, name = "Lesser Moonstone", order = 6},
            {id = 3864, name = "Citrine", order = 7},
            {id = 7910, name = "Star Ruby", order = 8},
            {id = 7909, name = "Aquamarine", order = 9},
            {id = 12799, name = "Large Opal", order = 10},
            {id = 12361, name = "Blue Sapphire", order = 11},
            {id = 12364, name = "Huge Emerald", order = 12},
            {id = 12363, name = "Arcane Crystal", order = 13},
            {id = 12800, name = "Azerothian Diamond", order = 14},
            {id = 11754, name = "Black Diamond", order = 15},
            {id = 18335, name = "Pristine Black Diamond", order = 16},            
        },
        Enchanting = {
            {id = 10940, name = "Strange Dust", order = 1},
            {id = 16204, name = "Light Illusion Dust", order = 2},
            {id = 156930, name = "Rich Illusion Dust", order = 3},
            {id = 10938, name = "Lesser Magic Essence", order = 4},
            {id = 16202, name = "Lesser Eternal Essence", order = 5},
            {id = 16203, name = "Greater Eternal Essence", order = 6},
            {id = 14343, name = "Small Brilliant Shard", order = 7},
            {id = 14344, name = "Large Brilliant Shard", order = 8},            
        },
        Pigment = {
            {id = 39151, name = "Alabaster Pigment", order = 1},
            {id = 39334, name = "Dusky Pigment", order = 2},
            {id = 43103, name = "Verdant Pigment", order = 3},
            {id = 39338, name = "Golden Pigment", order = 4},
            {id = 39339, name = "Emerald Pigment", order = 5},
            {id = 39340, name = "Violet Pigment", order = 6},
            {id = 39341, name = "Silvery Pigment", order = 7},
            {id = -1, name = "Uncommon Pigment", order = 8},
            {id = 43104, name = "Burnt Pigment", order = 9},
            {id = 43105, name = "Indigo Pigment", order = 10},
            {id = 43106, name = "Ruby Pigment", order = 11},
            {id = 43107, name = "Sapphire Pigment", order = 12},            
        },
        Other = {
            {id = 5498, name = "Small Lustrous Pearl", order = 1},
            {id = 7971, name = "Black Pearl", order = 2},
            {id = 12804, name = "Powerful Mojo", order = 3},
            {id = 13926, name = "Golden Pearl", order = 4},
            {id = 12811, name = "Righteous Orb", order = 5},
            {id = 12809, name = "Guardian Stone", order = 6},
        },
    },
    BC = {
        Herb = {
            {id = 22785, name = "Felweed", order = 1},
            {id = 22786, name = "Dreaming Glory", order = 2},
            {id = 22787, name = "Ragveil", order = 3},
            {id = 22789, name = "Terocone", order = 4},
            {id = 22790, name = "Ancient Lichen", order = 5},
            {id = 22791, name = "Netherbloom", order = 6},
            {id = 22792, name = "Nightmare Vine", order = 7},
            {id = 22793, name = "Mana Thistle", order = 8},
            {id = 22794, name = "Fel Lotus", order = 9},            
        },
        Ore = {
            {id = 23425, name = "Adamantite Ore", order = 1},
            {id = 23427, name = "Eternium Ore", order = 2},
            {id = 23424, name = "Fel Iron Ore", order = 3},
            {id = 23426, name = "Khorium Ore", order = 4},            
        },
        Cloth = {
            {id = 21877, name = "Netherweave Cloth", order = 1},
            {id = 21881, name = "Netherweb Spider Silk", order = 2},            
        },
        Leather = {
            {id = 21887, name = "Knothide Leather", order = 1},
            {id = 25707, name = "Fel Hide", order = 2},
            {id = -1, name = "Scales", order = 3},
            {id = 29539, name = "Cobra Scales", order = 4},
            {id = 25700, name = "Fel Scales", order = 5},
            {id = 29547, name = "Wind Scales", order = 6},
            {id = 29548, name = "Nether Dragonscales", order = 7},            
        },
        Meat = {
            {id = 27669, name = "Bat Flesh", order = 1},
            {id = 35562, name = "Bear Flank", order = 2},
            {id = 27671, name = "Buzzard Meat", order = 3},
            {id = 27677, name = "Chunk o' Basilisk", order = 4},
            {id = 27678, name = "Clefthoof Meat", order = 5},
            {id = 22644, name = "Crunchy Spider Leg", order = 6},
            {id = 24477, name = "Jaggal Clam Meat", order = 7},
            {id = 27668, name = "Lynx Meat", order = 8},
            {id = 23676, name = "Moongraze Stag Tenderloin", order = 9},
            {id = 31670, name = "Raptor Ribs", order = 10},
            {id = 27674, name = "Ravager Flesh", order = 11},
            {id = 31671, name = "Serpent Flesh", order = 12},
            {id = 27682, name = "Talbuk Venison", order = 13},
            {id = 27681, name = "Warped Flesh", order = 14},            
        },
        Fish = {
            {id = 27422, name = "Barbed Gill Trout", order = 1},
            {id = 33823, name = "Bloodfin Catfish", order = 2},
            {id = 33824, name = "Crescent-Tail Skullfish", order = 3},
            {id = 27435, name = "Figluster's Mudfish", order = 4},
            {id = 27439, name = "Furious Crawdad", order = 5},
            {id = 35285, name = "Giant Sunfish", order = 6},
            {id = 27438, name = "Golden Darter", order = 7},
            {id = 27437, name = "Icefin Bluefish", order = 8},
            {id = 27425, name = "Spotted Feltail", order = 9},
            {id = 27429, name = "Zangarian Spore fish", order = 10},            
        },
        Elemental = {
            {id = 22572, name = "Mote of Air", order = 1},
            {id = 22573, name = "Mote of Earth", order = 2},
            {id = 22574, name = "Mote of Fire", order = 3},
            {id = 22575, name = "Mote of Life", order = 4},
            {id = 22576, name = "Mote of Mana", order = 5},
            {id = 22577, name = "Mote of Shadow", order = 6},
            {id = 22578, name = "Mote of Water", order = 7},
            {id = 22451, name = "Primal Air", order = 8},
            {id = 22452, name = "Primal Earth", order = 9},
            {id = 21884, name = "Primal Fire", order = 10},
            {id = 21886, name = "Primal Life", order = 11},
            {id = 22457, name = "Primal Mana", order = 12},
            {id = 22456, name = "Primal Shadow", order = 13},
            {id = 21885, name = "Primal Water", order = 14},
            {id = -1, name = "Other", order = 15},
            {id = 23572, name = "Primal Nether", order = 16},
            {id = 32428, name = "Heart of Darkness", order = 17},
            {id = 34664, name = "Sunmote", order = 18},                     
        },
        Gem = {
            {id = 23077, name = "Blood Garnet", order = 1},
            {id = 21929, name = "Flame Spessarite", order = 2},
            {id = 23112, name = "Golden Draenite", order = 3},
            {id = 23079, name = "Deep Peridot", order = 4},
            {id = 23117, name = "Azure Moonstone", order = 5},
            {id = 23107, name = "Shadow Draenite", order = 6},
            {id = -1, name = "Rare Gems", order = 7},
            {id = 23436, name = "Living Ruby", order = 8},
            {id = 23439, name = "Noble Topaz", order = 9},
            {id = 23440, name = "Dawnstone", order = 10},
            {id = 23437, name = "Talasite", order = 11},
            {id = 23438, name = "Star of Elune", order = 12},
            {id = 23441, name = "Nightseye", order = 13},
            {id = -1, name = "Epic Gems", order = 14},
            {id = 32227, name = "Crimson Spinel", order = 15},
            {id = 32231, name = "Pyrestone", order = 16},
            {id = 32229, name = "Lionseye", order = 17},
            {id = 32249, name = "Seaspray Emerald", order = 18},
            {id = 32228, name = "Empyrean Sapphire", order = 19},
            {id = 32230, name = "Shadowsong Amethyst", order = 20},            
        },
        Enchanting = {
            {id = 22445, name = "Arcane Dust", order = 1},
            {id = 22447, name = "Lesser Planar Essence", order = 2},
            {id = 22446, name = "Greater Planar Essence", order = 3},
            {id = 22448, name = "Small Prismatic Shard", order = 4},
            {id = 22449, name = "Large Prismatic Shard", order = 5},
            {id = 22450, name = "Void Crystal", order = 6},            
        },
        Pigment = {
            {id = 39342, name = "Nether Pigment", order = 1},
            {id = 43108, name = "Ebon Pigment", order = 2},            
        },
    },
    Wrath = {
        Herb = {
            {id = 36901, name = "Goldclover", order = 1},
            {id = 39970, name = "Fire Leaf", order = 2},
            {id = 36904, name = "Tiger Lily", order = 3},
            {id = 36907, name = "Talandra's Rose", order = 4},
            {id = 36903, name = "Adder's Tongue", order = 5},
            {id = 37921, name = "Deadnettle", order = 6},
            {id = 36905, name = "Lichbloom", order = 7},
            {id = 36906, name = "Icethorn", order = 8},
            {id = 36908, name = "Frost Lotus", order = 9},            
        },
        Ore = {
            {id = 36909, name = "Cobalt Ore", order = 1},
            {id = 36912, name = "Saronite Ore", order = 2},
            {id = 36910, name = "Titanium Ore", order = 3},            
        },
        Cloth = {
            {id = 33470, name = "Frostweave Cloth", order = 1},
            {id = 42253, name = "Iceweb Spider Silk", order = 2},            
        },
        Leather = {
            {id = 33568, name = "Borean Leather", order = 1},
            {id = 44128, name = "Arctic Fur", order = 2},
            {id = -1, name = "Scales", order = 3},
            {id = 38557, name = "Icy Dragonscale", order = 4},
            {id = 38561, name = "Jormungar Scale", order = 5},
            {id = 38558, name = "Nerubian Chitin", order = 6},            
        },
        Meat = {
            {id = 43013, name = "Chilled Meat", order = 1},
            {id = 34736, name = "Chunk o' Mammoth", order = 2},
            {id = 43012, name = "Rhino Meat", order = 3},
            {id = 43009, name = "Shoveltusk Flank", order = 4},
            {id = 43011, name = "Worg Haunch", order = 5},
            {id = 43010, name = "Worm Meat", order = 6},            
        },
        Fish = {
            {id = 41812, name = "Barrelhead Goby", order = 1},
            {id = 41808, name = "Bonescale Snapper", order = 2},
            {id = 41805, name = "Borean Man O' War", order = 3},
            {id = 41800, name = "Deep Sea Monsterbelly", order = 4},
            {id = 41807, name = "Dragonfin Angelfish", order = 5},
            {id = 41810, name = "Fangtooth Herring", order = 6},
            {id = 41814, name = "Glassfin Minnow", order = 7},
            {id = 41802, name = "Imperial Manta Ray", order = 8},
            {id = 43572, name = "Magic Eater", order = 9},
            {id = 41801, name = "Moonglow Cuttlefish", order = 10},
            {id = 41806, name = "Musselback Sculpin", order = 11},
            {id = 41813, name = "Nettlefish", order = 12},
            {id = 41803, name = "Rockfin Grouper", order = 13},
            {id = 43571, name = "Sewer Carp", order = 14},
            {id = 43647, name = "Shimmering Minnow", order = 15},
            {id = 43652, name = "Slippery Eel", order = 16},
            {id = 53067, name = "Striped Lurker", order = 17},            
        },
        Elemental = {
            {id = 37700, name = "Crystallized Air", order = 1},
            {id = 37701, name = "Crystallized Earth", order = 2},
            {id = 37702, name = "Crystallized Fire", order = 3},
            {id = 37704, name = "Crystallized Life", order = 4},
            {id = 37703, name = "Crystallized Shadow", order = 5},
            {id = 37705, name = "Crystallized Water", order = 6},
            {id = 35623, name = "Eternal Air", order = 7},
            {id = 35624, name = "Eternal Earth", order = 8},
            {id = 36860, name = "Eternal Fire", order = 9},
            {id = 35625, name = "Eternal Life", order = 10},
            {id = 35627, name = "Eternal Shadow", order = 11},
            {id = 35622, name = "Eternal Water", order = 12},
            {id = -1, name = "Other", order = 13},
            {id = 43102, name = "Frozen Orb", order = 14},
            {id = 45087, name = "Runed Orb", order = 15},
            {id = 47556, name = "Crusader Orb", order = 16},
            {id = 49908, name = "Primordial Saronite", order = 17},            
        },
        Gem = {
            {id = 36917, name = "Bloodstone", order = 1},
            {id = 36929, name = "Huge Citrine", order = 2},
            {id = 36920, name = "Sun Crystal", order = 3},
            {id = 36932, name = "Dark Jade", order = 4},
            {id = 36923, name = "Chalcedony", order = 5},
            {id = 36926, name = "Shadow Crystal", order = 6},
            {id = -1, name = "Rare Gems", order = 7},
            {id = 36918, name = "Scarlet Ruby", order = 8},
            {id = 36930, name = "Monarch Topaz", order = 9},
            {id = 36921, name = "Autumns Glow", order = 10},
            {id = 36933, name = "Forest Emerald", order = 11},
            {id = 36924, name = "Sky Sapphire", order = 12},
            {id = 36927, name = "Twilight Opal", order = 13},
            {id = -1, name = "Epic Gems", order = 14},
            {id = 36919, name = "Cardinal Ruby", order = 15},
            {id = 36931, name = "Ametrine", order = 16},
            {id = 36922, name = "Kings Amber", order = 17},
            {id = 36934, name = "Eye of Zul", order = 18},
            {id = 36925, name = "Majestic Zircon", order = 19},
            {id = 36928, name = "Dreadstone", order = 20},            
        },
        Enchanting = {
            {id = 34054, name = "Infinite Dust", order = 1},
            {id = 34056, name = "Lesser Cosmic Essence", order = 2},
            {id = 34055, name = "Greater Cosmic Essence", order = 3},
            {id = 34053, name = "Small Dream Shard", order = 4},
            {id = 34052, name = "Dream Shard", order = 5},
            {id = 34057, name = "Abyss Crystal", order = 6},            
        },
        Pigment = {
            {id = 39343, name = "Azure Pigment", order = 1},
            {id = 43109, name = "Icy Pigment", order = 2},            
        },
    },
    Cata = {
        Herb = {
            {id = 52983, name = "Cinderbloom", order = 1},
            {id = 52985, name = "Azshara's Veil", order = 2},
            {id = 52984, name = "Stormvine", order = 3},
            {id = 52986, name = "Heartblossom", order = 4},
            {id = 52988, name = "Whiptail", order = 5},
            {id = 52987, name = "Twilight Jasmine", order = 6},            
        },
        Ore = {
            {id = 53038, name = "Obsidium Ore", order = 1},
            {id = 52185, name = "Elementium Ore", order = 2},
            {id = 52183, name = "Pyrite Ore", order = 3},            
        },
        Cloth = {
            {id = 53010, name = "Embersilk Cloth", order = 1},
        },
        Leather = {
            {id = 52976, name = "Savage Leather", order = 1},
            {id = 52980, name = "Pristine Hide", order = 2},
            {id = -1, name = "Scales", order = 3},
            {id = 52979, name = "Blackened Dragonscale", order = 4},
            {id = 52982, name = "Deepsea Scale", order = 5},            
        },
        Meat = {
            {id = 62784, name = "Crocolisk Tail", order = 1},
            {id = 62785, name = "Delicate Wing", order = 2},
            {id = 62782, name = "Dragon Flank", order = 3},
            {id = 62781, name = "Giant Turtle Tongue", order = 4},
            {id = 62780, name = "Snake Eye", order = 5},
            {id = 67229, name = "Stag Flank", order = 6},
            {id = 62778, name = "Toughened Flesh", order = 7},            
        },
        Fish = {
            {id = 53065, name = "Albino Cavefish", order = 1},
            {id = 53071, name = "Algaefin RockFfish", order = 2},
            {id = 53066, name = "Blackbelly Mudfish", order = 3},
            {id = 62791, name = "Blood Shrimp", order = 4},
            {id = 53072, name = "Deepsea Sagefish", order = 5},
            {id = 53070, name = "Fathom Eel", order = 6},
            {id = 53064, name = "Highland Guppy", order = 7},
            {id = 53068, name = "Lavascale Catfish", order = 8},
            {id = 53063, name = "Mountain Trout", order = 9},
            {id = 53069, name = "Murglesnout", order = 10},
            {id = 53062, name = "Sharptooth", order = 11},
            {id = 53067, name = "Striped Lurker", order = 12},            
        },
        Elemental = {
            {id = 52328, name = "Volatile Air", order = 1},
            {id = 52327, name = "Volatile Earth", order = 2},
            {id = 52325, name = "Volatile Fire", order = 3},
            {id = 52329, name = "Volatile Life", order = 4},
            {id = 52326, name = "Volatile Water", order = 5},
            {id = -1, name = "Other", order = 6},
            {id = 52078, name = "Chaos Orb", order = 7},
            {id = 69237, name = "Living Ember", order = 8},
            {id = 71998, name = "Essence of Destruction", order = 9},            
        },
        Gem = {
            {id = 52177, name = "Carnelian", order = 1},
            {id = 52181, name = "Hessonite", order = 2},
            {id = 52179, name = "Alicite", order = 3},
            {id = 52182, name = "Jasper", order = 4},
            {id = 52178, name = "Zephyrite", order = 5},
            {id = 52180, name = "Nightstone", order = 6},
            {id = -1, name = "Rare Gems", order = 7},
            {id = 52190, name = "Inferno Ruby", order = 8},
            {id = 52193, name = "Ember Topaz", order = 9},
            {id = 52195, name = "Amberjewel", order = 10},
            {id = 52192, name = "Dream Emerald", order = 11},
            {id = 52191, name = "Ocean Sapphire", order = 12},
            {id = 52194, name = "Demonseye", order = 13},
            {id = -1, name = "Epic Gems", order = 14},
            {id = 71805, name = "Queens Garnet", order = 13},
            {id = 71808, name = "Lava Coral", order = 14},
            {id = 71806, name = "Lightstone", order = 15},
            {id = 71810, name = "Elven Peridot", order = 16},
            {id = 71807, name = "Deepholm Iolite", order = 17},
            {id = 71809, name = "Shadow Spinel", order = 18},            
        },
        Enchanting = {
            {id = 52555, name = "Hypnotic Dust", order = 1},
            {id = 52718, name = "Lesser Celestial Essence", order = 2},
            {id = 52719, name = "Greater Celestial Essence", order = 3},
            {id = 52720, name = "Small Heavenly Shard", order = 4},
            {id = 52721, name = "Heavenly Shard", order = 5},
            {id = 52722, name = "Maelstrom Crystal", order = 6},            
        },
        Pigment = {
            {id = 61979, name = "Ashen Pigment", order = 1},
            {id = 61980, name = "Burning Embers", order = 2},            
        },
    },
    MoP = {
        Herb = {
            {id = 72234, name = "Green Tea Leaf", order = 1},
            {id = 72237, name = "Rain Poppy", order = 2},
            {id = 72235, name = "Silkweed", order = 3},
            {id = 79010, name = "Snow Lily", order = 4},
            {id = 79011, name = "Fool's Cap", order = 5},
            {id = 72238, name = "Golden Lotus", order = 6},            
        },
        Ore = {
            {id = 72092, name = "Ghost Iron Ore", order = 1},
            {id = 72093, name = "Kyparite", order = 2},
            {id = 72094, name = "Black Trillium Ore", order = 3},
            {id = 72103, name = "White Trillium Ore", order = 4},            
        },
        Cloth = {
            {id = 72988, name = "Windwool Cloth", order = 1},
        },
        Leather = {
            {id = 72162, name = "Sha-Touched Leather", order = 1},
            {id = 72120, name = "Exotic Leather", order = 2},
            {id = -1, name = "Scales", order = 3},
            {id = 79101, name = "Prismatic Scale", order = 4},            
        },
        Meat = {
            {id = 74834, name = "Mushan Ribs", order = 1},
            {id = 74838, name = "Raw Crab Meat", order = 2},
            {id = 75014, name = "Raw Crocolisk Belly", order = 3},
            {id = 74833, name = "Raw Tiger Steak", order = 4},
            {id = 74837, name = "Raw Turtle Meat", order = 5},
            {id = 85506, name = "Viseclaw Meat", order = 6},            
        },
        Fish = {
            {id = 74859, name = "Emperor Salmon", order = 1},
            {id = 74857, name = "Giant Mantis Shrimp", order = 2},
            {id = 74866, name = "Golden Carp", order = 3},
            {id = 74856, name = "Jade Lungfish", order = 4},
            {id = 74863, name = "Jewel Danio", order = 5},
            {id = 74865, name = "Krasarang Paddlefish", order = 6},
            {id = 74860, name = "Redbelly Mandarin", order = 7},
            {id = 74864, name = "Reef Octopus", order = 8},
            {id = 74861, name = "Tiger Gourami", order = 9},            
        },
        Elemental = {
            {id = 89112, name = "Mote of Harmony", order = 1},
            {id = 76061, name = "Spirit of Harmony", order = 2},
            {id = -1, name = "Other", order = 3},
            {id = 80433, name = "Blood Spirit", order = 4},
            {id = 94289, name = "Haunting Spirit", order = 5},
            {id = 102218, name = "Spirit of War", order = 6},            
        },
        Gem = {
            {id = 90407, name = "Pandarian Garnet", order = 1},
            {id = 76734, name = "Tiger Opal", order = 2},
            {id = 76136, name = "Sunstone", order = 3},
            {id = 76130, name = "Alexandrite", order = 4},
            {id = 76134, name = "Lapis Lazuli", order = 5},
            {id = 76137, name = "Roguestone", order = 6},
            {id = -1, name = "Rare Gems", order = 7},
            {id = 76133, name = "Primordial Ruby", order = 8},
            {id = 76135, name = "Vermilion Onyx", order = 9},
            {id = 76131, name = "Suns Radiance", order = 10},
            {id = 76140, name = "Wild Jade", order = 11},
            {id = 76142, name = "Rivers Heart", order = 12},
            {id = 76139, name = "Imperial Amethyst", order = 13},
            {id = -1, name = "Other", order = 14},
            {id = 76138, name = "Sparkling Shard", order = 15},
            {id = 76141, name = "Serpents Eye", order = 16},            
        },
        Enchanting = {
            {id = 74249, name = "Spirit Dust", order = 1},
            {id = 74250, name = "Mysterious Essence", order = 2},
            {id = 74252, name = "Small Ethereal Shard", order = 3},
            {id = 74247, name = "Ethereal Shard", order = 4},
            {id = 105718, name = "Sha Crystal Fragment", order = 5},
            {id = 74248, name = "Sha Crystal", order = 6},            
        },
        Pigment = {
            {id = 79251, name = "Shadow Pigment", order = 1},
            {id = 79253, name = "Misty Pigment", order = 2},            
        },
    },
    WoD = {
        Herb = {
            {id = 109124, name = "Frostweed", order = 1},
            {id = 109127, name = "Starflower", order = 2},
            {id = 109125, name = "Fireweed", order = 3},
            {id = 109126, name = "Gorgrond Flytrap", order = 4},
            {id = 109129, name = "Talador Orchid", order = 5},
            {id = 109128, name = "Nagrand Arrowbloom", order = 6},            
        },
        Ore = {
            {id = 109118, name = "Blackrock Ore", order = 1},
            {id = 109119, name = "True Iron Ore", order = 2},            
        },
        Cloth = {
            {id = 111557, name = "Sumptuous Fur", order = 1},
        },
        Leather = {
            {id = 110609, name = "Raw Beast Hide", order = 1},
        },
        Meat = {
            {id = 109136, name = "Raw Boar Meat", order = 1},
            {id = 109131, name = "Raw Clefthoof Meat", order = 2},
            {id = 109134, name = "Raw Elekk Meat", order = 3},
            {id = 109135, name = "Raw Riverbeast Meat", order = 4},
            {id = 109132, name = "Raw Talbuk Meat", order = 5},            
        },
        Fish = {
            {id = 111664, name = "Abyssal Gulper Eel", order = 1},
            {id = 111663, name = "Blackwater Whiptail", order = 2},
            {id = 111667, name = "Blind Lake Sturgeon", order = 3},
            {id = 111595, name = "Crescent Saberfish", order = 4},
            {id = 111668, name = "Fat Sleeper", order = 5},
            {id = 111666, name = "Fire Ammonite", order = 6},
            {id = 111669, name = "Jawless Skulker", order = 7},
            {id = 118565, name = "Savage Piranha", order = 8},
            {id = 111665, name = "Sea Scorpion", order = 9},            
        },
        Elemental = {
            {id = 113264, name = "Sorcerous Air", order = 1},
            {id = 113263, name = "Sorcerous Earth", order = 2},
            {id = 113261, name = "Sorcerous Fire", order = 3},
            {id = 113262, name = "Sorcerous Water", order = 4},
            {id = -1, name = "Other", order = 5},
            {id = 120945, name = "Primal Spirit", order = 6},
            {id = 118472, name = "Savage Blood", order = 7},            
        },
        Gem = {
            {id = 115524, name = "Taladite Crystal", order = 1},
        },
        Enchanting = {
            {id = 109693, name = "Draenic Dust", order = 1},
            {id = 115502, name = "Small Luminous Shard", order = 2},
            {id = 111245, name = "Luminous Shard", order = 3},
            {id = 115504, name = "Fractured Temporal Crystal", order = 4},
            {id = 113588, name = "Temporal Crystal", order = 5},            
        },
        Pigment = {
            {id = 114931, name = "Cerulean Pigment", order = 1},
        },
    },
    Legion = {
        Herb = {
            {id = 124101, name = "Aethril", order = 1},
            {id = 151565, name = "Astral Glory", order = 2},
            {id = 124102, name = "Dreamleaf", order = 3},
            {id = 124104, name = "Fjarnskaggl", order = 4},
            {id = 124103, name = "Foxflower", order = 5},
            {id = 124105, name = "Starlight Rose", order = 6},
            {id = 124106, name = "Felwort", order = 7},            
        },
        Ore = {
            {id = 123919, name = "Felslate", order = 1},
            {id = 123918, name = "Leystone Ore", order = 2},
            {id = 151564, name = "Empyrium", order = 3},            
        },
        Cloth = {
            {id = 151567, name = "Lightweave Cloth", order = 1},
            {id = 124437, name = "Shal'dorei Silk", order = 2},            
        },
        Leather = {
            {id = 124113, name = "Stonehide Leather", order = 1},
            {id = 151566, name = "Fiendish Leather", order = 2},
            {id = -1, name = "Scales", order = 3},
            {id = 124115, name = "Stormscale", order = 4},            
        },
        Meat = {
            {id = 124119, name = "Big Gamy Ribs", order = 1},
            {id = 124118, name = "Fatty Bearsteak", order = 2},
            {id = 124117, name = "Lean Shank", order = 3},
            {id = 124120, name = "Leyblood", order = 4},
            {id = 124121, name = "Wildfowl Egg", order = 5},            
        },
        Fish = {
            {id = 124112, name = "Black Barracuda", order = 1},
            {id = 124107, name = "Cursed Queenfish", order = 2},
            {id = 124109, name = "Highmountain Salmon", order = 3},
            {id = 124108, name = "Mossgill Perch", order = 4},
            {id = 124111, name = "Runescale Koi", order = 5},
            {id = 133607, name = "Silver Mackerel", order = 6},
            {id = 124110, name = "Stormray", order = 7},            
        },
        Elemental = {
            {id = 124124, name = "Blood of Sargeras", order = 1},
            {id = 124444, name = "Infernal Brimstone", order = 2},
            {id = 151568, name = "Primal Sargerite", order = 3},            
        },
        Gem = {
            {id = 130172, name = "Sangrite", order = 1},
            {id = 130173, name = "Deep Amber", order = 2},
            {id = 130174, name = "Azsunite", order = 3},
            {id = 130175, name = "Chaotic Spinel", order = 4},
            {id = 130176, name = "Skystone", order = 5},
            {id = 130177, name = "Queens Opal", order = 6},
            {id = -1, name = "Rare Gems", order = 7},
            {id = 130178, name = "Furystone", order = 8},
            {id = 130179, name = "Eye of Prophecy", order = 9},
            {id = 130180, name = "Dawnlight", order = 10},
            {id = 130181, name = "Pandemonite", order = 11},
            {id = 130182, name = "Maelstrom Sapphire", order = 12},
            {id = 130183, name = "Shadowruby", order = 13},
            {id = -1, name = "Epic Gems", order = 14},
            {id = 151721, name = "Hesselian", order = 15},
            {id = 151720, name = "Chemirine", order = 16},
            {id = 151719, name = "Lightsphene", order = 17},
            {id = 151722, name = "Florid Malachite", order = 18},
            {id = 151579, name = "Labradorite", order = 19},
            {id = 151718, name = "Argulite", order = 20},
            {id = -1, name = "Other", order = 21},
            {id = 129100, name = "Gem Chip", order = 22},            
        },
        Enchanting = {
            {id = 124440, name = "Arkhana", order = 1},
            {id = 124441, name = "Leylight Shard", order = 2},
            {id = 124442, name = "Chaos Crystal", order = 3},            
        },
        Pigment = {
            {id = 128304, name = "Yseralline Seed", order = 1},
            {id = 129032, name = "Roseate Pigment", order = 2},
            {id = 129034, name = "Sallow Pigment", order = 3},            
        },
    },
    BFA = {
        Herb = {
            {id = 152507, name = "Akunda's Bite", order = 1},
            {id = 152505, name = "Riverbud", order = 2},
            {id = 152511, name = "Sea Stalk", order = 3},
            {id = 152509, name = "Siren's Pollen", order = 4},
            {id = 152506, name = "Star Moss", order = 5},
            {id = 152508, name = "Winter's Kiss", order = 6},
            {id = 152510, name = "Anchor Weed", order = 7},
            {id = 168487, name = "Zin'anthid", order = 8},
            {id = -1, name = "Jelly", order = 9},
            {id = 168822, name = "Thin Jelly", order = 10},
            {id = 168825, name = "Rich Jelly", order = 11},
            {id = 168828, name = "Royal Jelly", order = 12},            
        },
        Ore = {
            {id = 152512, name = "Monelite Ore", order = 1},
            {id = 152579, name = "Storm Silver Ore", order = 2},
            {id = 152513, name = "Platinum Ore", order = 3},
            {id = 168185, name = "Osmenite Ore", order = 4},            
        },
        Cloth = {
            {id = 152576, name = "Tidespray Linen", order = 1},
            {id = 152577, name = "Deep Sea Satin", order = 2},
            {id = 167738, name = "Gilded Seaweave", order = 3},            
        },
        Leather = {
            {id = 152541, name = "Coarse Leather", order = 1},
            {id = 154722, name = "Tempest Hide", order = 2},
            {id = 168649, name = "Dredged Leather", order = 3},
            {id = -1, name = "Scales", order = 4},
            {id = 153050, name = "Shimmerscale", order = 5},
            {id = 154164, name = "Blood-Stained Bone", order = 6},
            {id = 168650, name = "Cragscale", order = 7},
            {id = 153051, name = "Mistscale", order = 8},            
        },
        Meat = {
            {id = 152631, name = "Briny Flesh", order = 1},
            {id = 163782, name = "Cursed Haunch", order = 2},
            {id = 154898, name = "Meaty Haunch", order = 3},
            {id = 168645, name = "Moist Fillet", order = 4},
            {id = 174353, name = "Questionable Meat", order = 5},
            {id = 168303, name = "Rubbery Flank", order = 6},
            {id = 154899, name = "Thick Paleo Steak", order = 7},            
        },
        Fish = {
            {id = 174328, name = "Aberrant Voidfin", order = 1},
            {id = 152545, name = "Frenzied Fangtooth", order = 2},
            {id = 152547, name = "Great Sea Catfish", order = 3},
            {id = 152546, name = "Lane Snapper", order = 4},
            {id = 174327, name = "Malformed Gnasher", order = 5},
            {id = 168646, name = "Mauve Stinger", order = 6},
            {id = 162515, name = "Midnight Salmon", order = 7},
            {id = 152549, name = "Redtail Loach", order = 8},
            {id = 152543, name = "Sand Shifter", order = 9},
            {id = 152544, name = "Slimy Mackerel", order = 10},
            {id = 152548, name = "Tiragarde Perch", order = 11},
            {id = 168302, name = "Viper Fish", order = 12},            
        },
        Elemental = {
            {id = 152668, name = "Expulsom", order = 1},
            {id = 162460, name = "Hydrocore", order = 2},
            {id = 162461, name = "Sanguicell", order = 3},
            {id = 165948, name = "Tidalcore", order = 4},
            {id = 165703, name = "Breath of Bwonsamdi", order = 5},            
        },
        Gem = {
            {id = 153701, name = "Rubellite", order = 1},
            {id = 153703, name = "Solstone", order = 2},
            {id = 153700, name = "Golden Beryl", order = 3},
            {id = 153704, name = "Viridium", order = 4},
            {id = 153705, name = "Kyanite", order = 5},
            {id = 153702, name = "Kubiline", order = 6},
            {id = -1, name = "Rare Gems", order = 7},
            {id = 154121, name = "Scarlet Diamond", order = 8},
            {id = 154123, name = "Amberblaze", order = 9},
            {id = 154120, name = "Owlseye", order = 10},
            {id = 154124, name = "Laribole", order = 11},
            {id = 154125, name = "Royal Quartz", order = 12},
            {id = 154122, name = "Tidal Amethyst", order = 13},
            {id = -1, name = "Epic Gems", order = 14},
            {id = 168193, name = "Azsharine", order = 15},
            {id = 168190, name = "Lava Lazuli", order = 16},
            {id = 168192, name = "Sand Spinel", order = 17},
            {id = 168188, name = "Sage Agate", order = 18},
            {id = 154125, name = "Royal Quartz", order = 19},
            {id = 154122, name = "Tidal Amethyst", order = 20},
            {id = -1, name = "Other", order = 21},
            {id = 153706, name = "Krakens Eye", order = 22},
            {id = 168635, name = "Leviathans Eye", order = 23},            
        },
        Enchanting = {
            {id = 152875, name = "Gloom Dust", order = 1},
            {id = 152876, name = "Umbra Shard", order = 2},
            {id = 152877, name = "Veiled Crystal", order = 3},            
        },
        Pigment = {
            {id = 153636, name = "Crimson Pigment", order = 1},
            {id = 153635, name = "Ultramarine Pigment", order = 2},
            {id = 168662, name = "Maroon Pigment", order = 3},
            {id = 153669, name = "Viridescent Pigment", order = 4},            
        },
    },
    SL = {
        Herb = {
            {id = 169701, name = "Death Blossom", order = 1},
            {id = 168589, name = "Marrowroot", order = 2},
            {id = 168586, name = "Rising Glory", order = 3},
            {id = 170554, name = "Vigils Torch", order = 4},
            {id = 168583, name = "Widowbloom", order = 5},
            {id = 171315, name = "Nightshade", order = 6},
            {id = 187699, name = "First Flower", order = 7},
        },
        Ore = {
            {id = 171828, name = "Laestrite Ore", order = 1},
            {id = 171830, name = "Oxxein Ore", order = 2},
            {id = 171831, name = "Phaedrum Ore", order = 3},
            {id = 171832, name = "Sinvyr Ore", order = 4},
            {id = 171829, name = "Solenium Ore", order = 5},
            {id = 171833, name = "Elethium Ore", order = 6},
            {id = 187700, name = "Progenium Ore", order = 7},
            {id = -1, name = "Stone", order = 8},
            {id = 171840, name = "Porous Stone", order = 9},
            {id = 171841, name = "Shaded Stone", order = 10},
            {id = -1, name = "Other", order = 11},
            {id = 177061, name = "Twilight Bark", order = 12},    
        },
        Cloth = {
            {id = 173202, name = "Shrouded Cloth", order = 1},
            {id = 173204, name = "Lightless Silk", order = 2},
            {id = 187703, name = "Silken Protofiber", order = 3},
        },
        Leather = {
            {id = 172089, name = "Desolate Leather", order = 1},
            {id = 172094, name = "Callous Hide", order = 2},
            {id = 172096, name = "Heavy Desolate Leather", order = 3},
            {id = 172097, name = "Heavy Callous Hide", order = 4},
            {id = 172332, name = "Necrotic Leather", order = 5},
            {id = 172333, name = "Purified Leather", order = 6},
            {id = 172331, name = "Sinful Leather", order = 7},
            {id = 172330, name = "Unseelie Leather", order = 8},
            {id = 187701, name = "Protogenic Pelt", order = 9},
            {id = -1, name = "Scales", order = 10},
            {id = 172092, name = "Pallid Bone", order = 11},
            {id = 177279, name = "Gaunt Sinew", order = 12},    
        },
        Meat = {
            {id = 172052, name = "Aethereal Meat", order = 1},
            {id = 179314, name = "Creeping Crawler Meat", order = 2},
            {id = 172055, name = "Phantasmal Haunch", order = 3},
            {id = 172054, name = "Seraphic Wing", order = 4},
            {id = 179315, name = "Shadowy Shank", order = 5},
            {id = 172053, name = "Tenebrous Ribs", order = 6},
            {id = 187704, name = "Protoflesh", order = 7},
        },
        Fish = {
            {id = 173033, name = "Iridescent Amberjack", order = 1},
            {id = 173032, name = "Lost Sole", order = 2},
            {id = 173035, name = "Pocked Bonefish", order = 3},
            {id = 173034, name = "Silvergill Pike", order = 4},
            {id = 173036, name = "Spinefin Piranha", order = 5},
            {id = 173037, name = "Elysian Thade", order = 6},
            {id = 187702, name = "Precursor Placoderm", order = 7},
        },
        Elemental = {
            {id = 173170, name = "Essence of Rebirth", order = 1},
            {id = 173172, name = "Essence of Servitude", order = 2},
            {id = 173171, name = "Essence of Torment", order = 3},
            {id = 173173, name = "Essence of Valor", order = 4},            
        },
        Gem = {
            {id = 173109, name = "Angerseye", order = 1},
            {id = 173108, name = "Oriblase", order = 2},
            {id = 173110, name = "Umbryl", order = 3},            
        },
        Enchanting = {
            {id = 172230, name = "Soul Dust", order = 1},
            {id = 172231, name = "Sacred Shard", order = 2},
            {id = 172232, name = "Eternal Crystal", order = 3},            
        },
        Pigment = {
            {id = 173057, name = "Luminous Pigment", order = 1},
            {id = 173056, name = "Umbral Pigment", order = 2},
            {id = 175788, name = "Tranquil Pigment", order = 3},                  
        },
        Legendary = {
            {id = 186017, name = "Korthite Crystal", order = 1},
            {id = 187707, name = "Progenitor Essentia", order = 2},
        },
        Synthesis = {
            {id = 188957, name = "Genesis Mote", order = 1},
            {id = -1, name = "Lattices", order = 2},
            {id = 187634, name = "Ambystan Lattice", order = 3},
            {id = 187636, name = "Aurelid Lattice", order = 4},
            {id = 187633, name = "Bufonid Lattice", order = 5},
            {id = 187635, name = "Cervid Lattice", order = 6},
            {id = 189146, name = "Geomental Lattice", order = 7},
            {id = 189145, name = "Helicid Lattice", order = 8},
            {id = 189147, name = "Leporid Lattice", order = 9},
            {id = 190388, name = "Lupine Lattice", order = 10},
            {id = 189148, name = "Poultrid Lattice", order = 11},
            {id = 189149, name = "Proto Avian Lattice", order = 12},
            {id = 189150, name = "Raptora Lattice", order = 13},
            {id = 189151, name = "Scarabid Lattice", order = 14},
            {id = 189152, name = "Tarachnid Lattice", order = 15},
            {id = 189153, name = "Unformed Lattice", order = 16},
            {id = 189154, name = "Vespoid Lattice", order = 17},
            {id = 189155, name = "Viperid Lattice", order = 18},
            {id = 189156, name = "Vombata Lattice", order = 19},
        },
    },
    DF = {
        Herb = {
            {id = 191460, name = "Hochenblume", order = 1, quality = 1},
            {id = 191461, name = "Hochenblume", order = 2, quality = 2},
            {id = 191462, name = "Hochenblume", order = 3, quality = 3},
            {id = 191467, name = "Bubble Poppy", order = 4, quality = 1},
            {id = 191468, name = "Bubble Poppy", order = 5, quality = 2},
            {id = 191469, name = "Bubble Poppy", order = 6, quality = 3},
            {id = 191470, name = "Writhebark", order = 7, quality = 1},
            {id = 191471, name = "Writhebark", order = 8, quality = 2},
            {id = 191472, name = "Writhebark", order = 9, quality = 3},
            {id = 191464, name = "Saxifrage", order = 10, quality = 1},
            {id = 191465, name = "Saxifrage", order = 11, quality = 2},
            {id = 191466, name = "Saxifrage", order = 12, quality = 3},
            {id = -1, name = "Other", order = 13},
            {id = 197757, name = "Assorted Exotic Spices", order = 14},
            {id = 197755, name = "Lava Beetle", order = 15},
        },
        Ore = {
            {id = 190395, name = "Serevite Ore", order = 1, quality = 1},
            {id = 190396, name = "Serevite Ore", order = 2, quality = 2},
            {id = 190394, name = "Serevite Ore", order = 3, quality = 3},
            {id = 189143, name = "Draconium Ore", order = 4, quality = 1},
            {id = 188658, name = "Draconium Ore", order = 5, quality = 2},
            {id = 190311, name = "Draconium Ore", order = 6, quality = 3},
            {id = 190312, name = "Khazgorite Ore", order = 7, quality = 1},
            {id = 190313, name = "Khazgorite Ore", order = 8, quality = 2},
            {id = 190314, name = "Khazgorite Ore", order = 9, quality = 3},
            {id = -1, name = "Other", order = 10},
            {id = 197754, name = "Salt Deposit", order = 11},
        },
        Cloth = {
            {id = 193050, name = "Tattered Wildercloth", order = 1},
            {id = 193922, name = "Wildercloth", order = 2},
            {id = 193924, name = "Frostbitten Wildercloth", order = 3},
            {id = 193923, name = "Decayed Wildercloth", order = 4},
            {id = 193925, name = "Singed Wildercloth", order = 5},
        },
        Leather = {
            {id = 193208, name = "Resilient Leather", order = 1, quality = 1},
            {id = 193210, name = "Resilient Leather", order = 2, quality = 2},
            {id = 193211, name = "Resilient Leather", order = 3, quality = 3},
            {id = 193251, name = "Crystalspine Fur", order = 4},
            {id = 193254, name = "Rockfang Leather", order = 5},
            {id = -1, name = "Hide", order = 6},
            {id = 193216, name = "Dense Hide", order = 7, quality = 1},
            {id = 193217, name = "Dense Hide", order = 8, quality = 2},
            {id = 193218, name = "Dense Hide", order = 9, quality = 3},
            {id = 193258, name = "Fire Infused Hide", order = 10},
            {id = -1, name = "Scales", order = 11},
            {id = 193213, name = "Adamant Scales", order = 12, quality = 1},
            {id = 193214, name = "Adamant Scales", order = 13, quality = 2},
            {id = 193215, name = "Adamant Scales", order = 14, quality = 3},
            {id = 193222, name = "Lustrous Scaled Hide", order = 15, quality = 1},
            {id = 193223, name = "Lustrous Scaled Hide", order = 16, quality = 2},
            {id = 193224, name = "Lustrous Scaled Hide", order = 17, quality = 3},
            {id = 193252, name = "Salamanther Scales", order = 18},
            {id = 193253, name = "Cacophonous Thunderscale", order = 19},
            {id = 193259, name = "Flawless Proto Dragon Scale", order = 20},
            {id = -1, name = "Other", order = 21},
            {id = 193261, name = "Bite Sized Morsel", order = 22},
            {id = 193262, name = "Exceptional Morsel", order = 23},
            {id = 193255, name = "Pristine Vorquin Horn", order = 24},
            {id = 193256, name = "Windsong Plumage", order = 25},
        },
        Meat = {
            {id = 197745, name = "Basilisk Eggs", order = 1},
            {id = 197746, name = "Bruffalon Flank", order = 2},
            {id = 197748, name = "Burly Bear Meat", order = 3},
            {id = 197743, name = "Waterfowl Filet", order = 4},
            {id = 197744, name = "Hornswog Hunk", order = 5},
            {id = 197741, name = "Maybe Meat", order = 6},
            {id = 197747, name = "Mighty Mammoth Ribs", order = 7},
            {id = 197742, name = "Ribbed Mollusk Meat", order = 8},
        },
        Fish = {
            {id = 194967, name = "Aileron Seamoth", order = 1},
            {id = 194968, name = "Cerulean Spinefish", order = 2},
            {id = 194969, name = "Temporal Dragonhead", order = 3},
            {id = 194966, name = "Thousandbite Piranha", order = 4},
            {id = 194730, name = "Scalebelly Mackerel", order = 5},
            {id = 194970, name = "Islefin Dorado", order = 6},
            {id = 199344, name = "Magma Thresher", order = 7},
            {id = 200061, name = "Prismatic Leaper", order = 8},
            {id = 199345, name = "Rimefin Tuna", order = 9},
            {id = -1, name = "Coins", order = 10},
            {id = 199338, name = "Copper Coin Of The Isles", order = 11},
            {id = 199339, name = "Silver Coin Of The Isles", order = 12},
            {id = 199340, name = "Gold Coin Of The Isles", order = 13},
            {id = -1, name = "Other", order = 14},
            {id = 198395, name = "Dull Spined Clam", order = 15},
        },
        Elemental = {
            {id = 190326, name = "Rousing Air", order = 1},
            {id = 190330, name = "Rousing Decay", order = 2},
            {id = 190315, name = "Rousing Earth", order = 3},
            {id = 190320, name = "Rousing Fire", order = 4},
            {id = 190328, name = "Rousing Frost", order = 5},
            {id = 190451, name = "Rousing Ire", order = 6},
            {id = 190322, name = "Rousing Order", order = 7},
            {id = -1, name = "Awakened", order = 8},
            {id = 190327, name = "Awakened Air", order = 9},
            {id = 190331, name = "Awakened Decay", order = 10},
            {id = 190316, name = "Awakened Earth", order = 11},
            {id = 190321, name = "Awakened Fire", order = 12},
            {id = 190329, name = "Awakened Frost", order = 13},
            {id = 190450, name = "Awakened Ire", order = 14},
            {id = 190324, name = "Awakened Order", order = 15},
        },
        Gem = {
            {id = 192880, name = "Crumbled Stone", order = 1},
            {id = 192872, name = "Fractured Glass", order = 2},
            {id = 193368, name = "Silken Gemdust", order = 3, quality = 1},
            {id = 193369, name = "Silken Gemdust", order = 4, quality = 2},
            {id = 193370, name = "Silken Gemdust", order = 5, quality = 3},
            {id = -1, name = "Uncommon Gems", order = 6},
            {id = 192837, name = "Queens Ruby", order = 7, quality = 1},
            {id = 192838, name = "Queens Ruby", order = 8, quality = 2},
            {id = 192839, name = "Queens Ruby", order = 9, quality = 3},
            {id = 192849, name = "Eternity Amber", order = 10, quality = 1},
            {id = 192850, name = "Eternity Amber", order = 11, quality = 2},
            {id = 192851, name = "Eternity Amber", order = 12, quality = 3},
            {id = 192843, name = "Vibrant Emerald", order = 13, quality = 1},
            {id = 192844, name = "Vibrant Emerald", order = 14, quality = 2},
            {id = 192845, name = "Vibrant Emerald", order = 15, quality = 3},
            {id = 192840, name = "Mystic Sapphire", order = 16, quality = 1},
            {id = 192841, name = "Mystic Sapphire", order = 17, quality = 2},
            {id = 192842, name = "Mystic Sapphire", order = 18, quality = 3},
            {id = 192846, name = "Sundered Onyx", order = 19, quality = 1},
            {id = 192847, name = "Sundered Onyx", order = 20, quality = 2},
            {id = 192848, name = "Sundered Onyx", order = 21, quality = 3},
            {id = -1, name = "Rare Gems", order = 22},
            {id = 192852, name = "Alexstraszite", order = 23, quality = 1},
            {id = 192853, name = "Alexstraszite", order = 24, quality = 2},
            {id = 192855, name = "Alexstraszite", order = 25, quality = 3},
            {id = 192866, name = "Nozdorite", order = 26, quality = 1},
            {id = 192867, name = "Nozdorite", order = 27, quality = 2},
            {id = 192868, name = "Nozdorite", order = 28, quality = 3},
            {id = 192859, name = "Ysemerald", order = 29, quality = 1},
            {id = 192860, name = "Ysemerald", order = 30, quality = 2},
            {id = 192861, name = "Ysemerald", order = 31, quality = 3},
            {id = 192856, name = "Malygite", order = 32, quality = 1},
            {id = 192857, name = "Malygite", order = 33, quality = 2},
            {id = 192858, name = "Malygite", order = 34, quality = 3},
            {id = 192862, name = "Neltharite", order = 35, quality = 1},
            {id = 192863, name = "Neltharite", order = 36, quality = 2},
            {id = 192865, name = "Neltharite", order = 37, quality = 3},
            {id = -1, name = "Epic Gems", order = 38},
            {id = 192869, name = "Illimited Diamond", order = 39, quality = 1},
            {id = 192870, name = "Illimited Diamond", order = 40, quality = 2},
            {id = 192871, name = "Illimited Diamond", order = 41, quality = 3},
        },
        Enchanting = {
            {id = 194124, name = "Vibrant Shard", order = 1},
            {id = 194123, name = "Chromatic Dust", order = 2},
            {id = 200113, name = "Resonant Crystal", order = 3},
        },
        Pigment = {
            {id = 198418, name = "Blazing Pigment", order = 1, quality = 1},
            {id = 198419, name = "Blazing Pigment", order = 2, quality = 2},
            {id = 198420, name = "Blazing Pigment", order = 3, quality = 3},
            {id = 198415, name = "Flourishing Pigment", order = 4, quality = 1},
            {id = 198416, name = "Flourishing Pigment", order = 5, quality = 2},
            {id = 198417, name = "Flourishing Pigment", order = 6, quality = 3},
            {id = 198412, name = "Serene Pigment", order = 7, quality = 1},
            {id = 198413, name = "Serene Pigment", order = 8, quality = 2},
            {id = 198414, name = "Serene Pigment", order = 9, quality = 3},
            {id = 198421, name = "Shimmering Pigment", order = 10, quality = 1},
            {id = 198422, name = "Shimmering Pigment", order = 11, quality = 2},
            {id = 198423, name = "Shimmering Pigment", order = 12, quality = 3},
        },
        Other = {
            {id = 190456, name = "Artisans Mettle", order = 1},
            {id = 190454, name = "Primal Chaos", order = 2},
            {id = 193053, name = "Duck Feather", order = 3},
        },
    },
    Other = {
        Other = {
            {id = "gold", name = "Current Gold", order = 1, icon = 370211, desc = "Displays the current Gold on the character, rounded to the nearest whole number."},
            {id = "bag", name = "Open Bag Space", order = 2, icon = 975745, desc = "Displays the number of open bag space."},            
        },
    },
}

GT.ItemData = ItemData
